> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.askelephant.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.askelephant.ai/_mcp/server.

# List engagement transcript comments

GET https://app.askelephant.ai/api/v2/engagements/{engagement_id}/transcript_comments

Returns transcript comments for a workspace engagement's primary transcript timeline. Requires both `engagements:read` and `transcript_comments:read` scopes. Reading transcript comments for a private engagement also requires `engagements:private:read`.

Reference: https://docs.askelephant.ai/api-reference/transcript-comments/list-engagement-transcript-comments

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: AskElephant Public API
  version: 1.0.0
paths:
  /v2/engagements/{engagement_id}/transcript_comments:
    get:
      operationId: list-engagement-transcript-comments
      summary: List engagement transcript comments
      description: >-
        Returns transcript comments for a workspace engagement's primary
        transcript timeline. Requires both `engagements:read` and
        `transcript_comments:read` scopes. Reading transcript comments for a
        private engagement also requires `engagements:private:read`.
      tags:
        - transcriptComments
      parameters:
        - name: engagement_id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Transcript comment list response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/transcript_comment_list_response'
        '401':
          description: Authentication is missing or invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '403':
          description: Authenticated but missing required scope.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '404':
          description: The requested resource does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '429':
          description: Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '500':
          description: Unexpected server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
servers:
  - url: https://app.askelephant.ai/api
    description: Production
  - url: https://app-staging.askelephant.ai/api
    description: Staging
components:
  schemas:
    TranscriptCommentListResponseObject:
      type: string
      enum:
        - list
      title: TranscriptCommentListResponseObject
    TranscriptCommentObject:
      type: string
      enum:
        - transcript_comment
      title: TranscriptCommentObject
    TranscriptCommentStatus:
      type: string
      enum:
        - active
        - resolved
      title: TranscriptCommentStatus
    transcript_comment_anchor:
      type: object
      properties:
        start_citation:
          type:
            - string
            - 'null'
        end_citation:
          type:
            - string
            - 'null'
        start_seconds:
          type:
            - number
            - 'null'
          format: double
        end_seconds:
          type:
            - number
            - 'null'
          format: double
        quote_text:
          type:
            - string
            - 'null'
        speaker_index:
          type:
            - integer
            - 'null'
      required:
        - start_citation
        - end_citation
        - start_seconds
        - end_seconds
        - quote_text
        - speaker_index
      title: transcript_comment_anchor
    transcript_comment:
      type: object
      properties:
        object:
          $ref: '#/components/schemas/TranscriptCommentObject'
        id:
          type: string
        engagement_id:
          type: string
        transcript_timeline_id:
          type: string
        body:
          type: string
        status:
          $ref: '#/components/schemas/TranscriptCommentStatus'
        anchor:
          $ref: '#/components/schemas/transcript_comment_anchor'
        created_by:
          type: string
        resolved_by:
          type:
            - string
            - 'null'
        resolved_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - object
        - id
        - engagement_id
        - transcript_timeline_id
        - body
        - status
        - anchor
        - created_by
        - resolved_by
        - resolved_at
        - created_at
        - updated_at
      title: transcript_comment
    transcript_comment_list_response:
      type: object
      properties:
        object:
          $ref: '#/components/schemas/TranscriptCommentListResponseObject'
        data:
          type: array
          items:
            $ref: '#/components/schemas/transcript_comment'
        has_more:
          type: boolean
        next_cursor:
          type:
            - string
            - 'null'
      required:
        - object
        - data
        - has_more
        - next_cursor
      title: transcript_comment_list_response
    error_item:
      type: object
      properties:
        field:
          type: string
          description: Request field or parameter associated with the error.
        code:
          type: string
          description: Stable machine-readable error code.
        message:
          type: string
          description: Human-readable explanation of the error.
      required:
        - code
        - message
      description: Structured validation or field-level error detail.
      title: error_item
    error:
      type: object
      properties:
        type:
          type: string
          format: uri
          description: Stable URI identifying the error category.
        title:
          type: string
          description: Short human-readable summary of the error.
        status:
          type: integer
          description: HTTP status code for this error response.
        detail:
          type: string
          description: Human-readable explanation specific to this request.
        request_id:
          type: string
          description: Correlation identifier for support and debugging.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/error_item'
          description: Optional field-level validation errors.
      required:
        - type
        - title
        - status
        - detail
        - request_id
      description: RFC 9457 problem details response returned for client-visible failures.
      title: error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "object": "list",
  "data": [
    {
      "object": "transcript_comment",
      "id": "tano_9X7b3K2LpQ",
      "engagement_id": "ngmt_4F8d9J1kLm",
      "transcript_timeline_id": "tt_3Jk9Lm2NpQ",
      "body": "Can we clarify the pricing details mentioned here?",
      "status": "active",
      "anchor": {
        "start_citation": "Slide 5, Pricing Overview",
        "end_citation": "Slide 5, Pricing Overview",
        "start_seconds": 125.5,
        "end_seconds": 130,
        "quote_text": "Our premium plan starts at $49 per month.",
        "speaker_index": 0
      },
      "created_by": "usr_7LmN3PqRsT",
      "resolved_by": null,
      "resolved_at": null,
      "created_at": "2024-04-10T14:22:00Z",
      "updated_at": "2024-04-10T14:22:00Z"
    }
  ],
  "has_more": false,
  "next_cursor": null
}
```

**SDK Code**

```python
import requests

url = "https://app.askelephant.ai/api/v2/engagements/engagement_id/transcript_comments"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.askelephant.ai/api/v2/engagements/engagement_id/transcript_comments';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.askelephant.ai/api/v2/engagements/engagement_id/transcript_comments"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.askelephant.ai/api/v2/engagements/engagement_id/transcript_comments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.askelephant.ai/api/v2/engagements/engagement_id/transcript_comments")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.askelephant.ai/api/v2/engagements/engagement_id/transcript_comments', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.askelephant.ai/api/v2/engagements/engagement_id/transcript_comments");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.askelephant.ai/api/v2/engagements/engagement_id/transcript_comments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```